import React from 'react';
import type { Actions } from './constants';
type Collection = {
    _id: string;
    name: string;
    type: string;
};
type Database = {
    _id: string;
    name: string;
    collectionsStatus: string;
    collectionsLength: number;
    collections: Collection[];
};
declare const DatabasesNavigationTree: React.FunctionComponent<{
    databases: Database[];
    expanded?: Record<string, boolean>;
    onDatabaseExpand(id: string, isExpanded: boolean): void;
    onNamespaceAction(namespace: string, action: Actions): void;
    activeNamespace?: string;
    isReadOnly?: boolean;
}>;
declare const NavigationWithPlaceholder: React.FunctionComponent<{
    isReady: boolean;
} & React.ComponentProps<typeof DatabasesNavigationTree>>;
export { NavigationWithPlaceholder, DatabasesNavigationTree };
//# sourceMappingURL=databases-navigation-tree.d.ts.map